<div class="row">
    <div class="col-md-12 form-group"
         ng-if="!inTranslateMode"
         ng-class="{'has-error': !vc.isFieldValid('filetype')}">
        <label class="control-label"
               message-key="fcnt_fileValidation.designView.type"></label>
        <select type="select"
                class="form-control"
                name="fileType"
                ng-model="fileValidation.selectedFile"
                ng-change="updateSelectedFileType({{fileValidation.selectedFile}})"
                ng-options="type.value as type.key for type in input.validations[validationName].filetype | orderBy: type.key"
                ff-field-value-validation="any"
                field-id="filetype"
                case-name="{{validationName}}"
                multiple>
        </select>
        <span class="help-block" ng-show="!vc.isFieldValid('filetype')">
            <span message-key="ff.label.required"></span>
        </span>
    </div>

    <div class="col-md-12 form-group"
         ng-if="!inTranslateMode"
         ng-class="{'has-error': !vc.isFieldValid('filesize')}">
        <label class="control-label"
               message-key="fcnt_fileValidation.designView.size"></label>
        <div class="row">
            <div class="col-sm-4">
                <input type="text"
                       class="form-control"
                       ng-model="input.validations[validationName].filesize"
                       ff-field-value-validation="positiveNumber" field-id="filesize" case-name="{{validationName}}"
                       ff-input-type="float">
            </div>
            <div class="col-sm-2">
                <select class="form-control"
                        name="unitType"
                        ng-model="fileValidation.selectedUnitType"
                        ng-change="updateSelectedUnitType()"
                        ng-options="unittype.value as unittype.label for unittype in input.validations[validationName].unittype">
                </select>
            </div>
            <div class="col-sm-6"></div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <span class="help-block" ng-show="!vc.isFieldValid('filesize')">
                    <span message-key="ff.label.required"></span>
                </span>
            </div>
        </div>
    </div>

    <div class="col-md-12 form-group"
         ng-class="{'has-error': !vc.isFieldValid('message')}">
        <label class="control-label"
               message-key="ff.label.message"></label>
        <input type="text"
               class="form-control"
               ng-model="input.validations[validationName].message"
               ff-field-value-validation="any" field-id="message" case-name="{{validationName}}">
        <span class="help-block" ng-show="!vc.isFieldValid('message')">
            <span message-key="ff.label.required"></span>
        </span>
    </div>
</div>