<div class="side-panel-body-content">
    <div class="row" style="padding: 10px;">
        <div class="col-md-12">
            <div ng-if="!inTranslateMode">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group"
                             ng-class="{'has-error': !isFieldValid('to')}">
                            <label class="control-label"
                                   message-key="fcnt_sendEmailAction.designView.label.to"></label>
                            <input type="text"
                                   class="form-control"
                                   ng-model="action.to"
                                   field-name="to"
                                   validation-type="email"
                                   ff-action-validator>
                            <span class="help-block" ng-show="!isFieldValid('to')">
                                <span message-key="ff.label.validEmailRequired"></span>
                            </span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label message-key="fcnt_sendEmailAction.designView.label.from"></label>
                            <input type="text" class="form-control" ng-model="action.from">
                        </div>

                        <div class="form-group">
                            <label message-key="fcnt_sendEmailAction.designView.label.cc"></label>
                            <input type="text" class="form-control" ng-model="action.cc">
                        </div>

                        <div class="form-group">
                            <label message-key="fcnt_sendEmailAction.designView.label.bcc"></label>
                            <input type="text" class="form-control" ng-model="action.bcc">
                        </div>
                        <div class="form-group">
                            <label message-key="fcnt_sendEmailAction.designView.label.subject"></label>
                            <input type="text" class="form-control" ng-model="action.subject">
                        </div>
                        <div class="form-group">
                            <label message-key="fcnt_sendEmailAction.designView.label.bodyMessage"></label>
                            <textarea rows="5" class="form-control" ng-model="action.bodyMessage"></textarea>
                        </div>
                        <div class="form-group">
                            <fieldset>
                            <legend message-key="fcnt_sendEmailAction.designView.label.emailTemplate"></legend>
                                <label message-key="fcnt_sendEmailAction.designView.label.module.name"></label>
                            <input type="text"
                                   class="form-control"
                                   ng-model="action.moduleName"
                                   uib-typeahead="module.name for module in se.getModule($viewValue)"
                                   typeahead-on-select="se.handleSelection($item, $model, $label)"/>
                                <label message-key="fcnt_sendEmailAction.designView.label.template"></label>
                            <select  class="form-control" ng-model="action.template">
                                <option ng-repeat="option in se.templates" value="{{option.id}}">{{option.name}}</option>
                            </select>
                            </fieldset>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>