onmessage = function (e) {
	var hasInvalidLogics = false;

	if (e.data.input.logics !== undefined) {
		//Check that all values are set
		for (var i in e.data.input.logics) {
			switch (e.data.type) {
				case 'any' :
					if (e.data.input.logics[i].requiredValue === undefined
						|| e.data.input.logics[i].requiredValue === ""
						|| e.data.input.logics[i].requiredValue === null) {
						hasInvalidLogics = true;
					}
					break;
				case 'number' :
					if (e.data.input.logics[i].requiredValue === undefined
						|| e.data.input.logics[i].requiredValue === ""
						|| e.data.input.logics[i].requiredValue === null
						|| isNaN(e.data.input.logics[i].requiredValue)) {
						hasInvalidLogics = true;
					}
					break;
			}
		}
	}

	//Pass flag value to disable/enable UI elements and callback(s) with messages
	postMessage({
		flag: "containsInvalidLogics",
		flagValue: hasInvalidLogics,
		callbacks: []
	});
	//Remove thread!!!
	close();
};
