<%@ page contentType="text/javascript" %>
<%@ taglib prefix="formfactory" uri="http://www.jahia.org/formfactory/functions" %>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>

angular
    .module('formFactory')
        .directive('ffPercentProgressBar', ['$log', 'ffTemplateResolver', '$filter', function ($log, ffTemplateResolver, $filter) {
        var directive = {
            restrict: 'E',
            templateUrl: function (el, attrs) {
                return ffTemplateResolver.resolveTemplatePath('${formfactory:addFormFactoryModulePath('/form-factory-progress-bars/percent-progress-bar', renderContext)}', attrs.viewType);
            },

            link: linkFunc
        };

        return directive;

        function linkFunc(scope, el, attr, ctrl) {
            scope.roundValue = function(value) {
               return $filter('roundValue')(value);
            };
        }
    }]);
